Members Remove

View as MarkdownOpen in Claude
Removes a member from a team. Permission : Team member management Exactly one of team_member_id, email, or external_id must be provided to identify the user account. Accounts can be recovered via [members/recover](api:dropbox-api:POST/2/team/members/recover) for a 7 day period or until the account has been permanently deleted or transferred to another account (whichever comes first). Calling [members/add](api:dropbox-api:POST/2/team/members/add) while a user is still recoverable on your team will return with `MemberAddResult.user_already_on_team`. Accounts can have their files transferred via the admin console for a limited time, based on the version history length associated with the team (180 days for most teams). Accounts can have their stacks transferred through the admin console. This only transfers stacks that they have created. This endpoint may initiate an asynchronous job. To obtain the final result of the job, the client should periodically poll [members/remove/job_status/get](api:dropbox-api:POST/2/team/members/remove/job_status/get). **Required scope:** `members.delete` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
userobjectRequired

Identity of user to remove/suspend/have their files moved.

keep_accountbooleanOptionalDefaults to false

Downgrade the member to a Basic account. The user will retain the email address associated with their Dropbox account and data in their account that is not restricted to team members. In order to keep the account the argument wipe_data should be set to false.

permanently_delete_filesbooleanOptionalDefaults to false
Permanently delete the data in the deleted member's account. After permanent deletion, the data is no longer available to be transferred to a different user.
retain_team_sharesbooleanOptionalDefaults to false

If provided, allows removed users to keep access to Dropbox folders (not Dropbox Paper folders) already explicitly shared with them (not via a group) when they are downgraded to a Basic account. Users will not retain access to folders that do not allow external sharing. In order to keep the sharing relationships, the arguments wipe_data should be set to false and keep_account should be set to true.

transfer_admin_idobject or nullOptional

If provided, errors during the transfer process will be sent via email to this user. If the transfer_dest_id argument was provided, then this argument must be provided as well.

transfer_dest_idobject or nullOptional
If provided, files from the deleted member account will be transferred to this user.
wipe_databooleanOptionalDefaults to true
If provided, controls if the user's data will be deleted on their linked devices.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
async_common.LaunchEmptyResult.async_job_idobject
This response indicates that the processing is asynchronous. The string is an id that can be used to obtain the status of the asynchronous job.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error